#!/bin/bash

TO="packstack-answers-multinode.txt"
[ -e $TO ] && [ ! ${TO}.last ] &&  mv -f $TO ${TO}.last

# Change the secrets
for n in `egrep "_PW=|_PASSWORD=|_SECRET=|_TOKEN=" $TO`; do
  VAR=`echo $n|cut -d= -f1`
  VAL="`openssl rand -hex 16`"
  sed -ie "s/$n/$VAR=$VAL/" $TO
done
#rm ${TO}e

cat <<EOF

Attention! Parameters for RHN, Satellite and Satellite Proxy are changed
also. You might need to change the following parameters back:
CONFIG_RH_PW
CONFIG_SATELLITE_PW
CONFIG_SATELLITE_PROXY_PW

EOF