#!/bin/bash
for n in openvswitch br_netfilter vport-gre bridge nf_conntrack_proto_sctp iscsi_target_mod iscsi_tcp target_core_mod configfs btrfs xfs nfsd ib_srpt target_core_file target_core_iblock target_core_pscsi tcm_fc tcm_loop vhost_scsi tcm_qla2xxx; do
  modprobe $n
done

sysctl net.ipv4.tcp_keepalive_intvl=1
sysctl net.ipv4.tcp_keepalive_probes=5
sysctl net.ipv4.tcp_keepalive_time=5

for n in oslcontroller oslnet oslnode{1..3}; do
  echo "Starting node $n:"
  vzctl start $n
  [ "$n" = "oslcontroller" ] || [ "$n" = "oslnet" ] && sleep 30s
done
ssh root@oslnet systemctl reload named-chroot &>/dev/null
