#!/bin/bash
for n in oslnode{1..3} oslnet oslcontroller; do
  echo "### Stopping $n"
  vzctl stop $n
done
# sometimes the veth100?.? devices stay alive so we have to remove them
for n in {0..4}; do
  for m in {0..3}; do
    DEVICE="veth140$n.$m"
    if ifconfig $DEVICE &>/dev/null; then
      echo "Definitely removing $DEVICE."
      ifconfig $DEVICE down
      ip link delete $DEVICE
    fi
  done
done
